Deletes a client and everything related to it (all the tokens and the user).
Permission level: read-write
DELETE /clients/{clientId}
Operation id: ClientService_DeleteClient
Tags: ClientService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
clientId | string | Yes | Client Id of the client to delete, Required: true |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | Tenant of the client to delete, Required: false |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
{
"type": "object",
"properties": {}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}